<?php
if (!defined("_GNUBOARD_"))
  exit; // 개별 페이지 접근 불가

// HTML 파일 경로 설정
$file_path_main = G5_THEME_PATH.'/temha/about.html';

// 파일 존재 확인
if (!file_exists($file_path_main)) {
    return;
}

$html = file_get_contents($file_path_main);

// 가져오려는 HTML 부분이 특정 태그 안에 있다면 정규식을 활용
preg_match('/(<main class="th-layout-main">.*?<\/main>)/s', $html, $block);

// 가져온 HTML 출력
$content = isset($block[1]) ? $block[1] : "내용을 찾을 수 없습니다.";

?>

<?php echo $content; //메인 섹션 ?>
